Name: fotoxx
Version: 5.6.1
Release: alt1

Packager: Victor Forsyuk <force@altlinux.org>

Summary: Software for digital image editing, HDR composites, and panoramas
License: GPLv2
Group: Graphics

Url: http://kornelix.squarespace.com/fotoxx
Source: http://kornelix.squarespace.com/storage/fotoxx/fotoxx-%version.tar.gz
Source1: fotoxx.desktop

# Automatically added by buildreq on Tue Sep 16 2008
BuildRequires: gcc-c++ libgtk+2-devel

# fotox uses exiv2 executable to read EXIF data, hence this dep:
Requires: exiv2

Provides: fotox
Obsoletes: fotox

%description
Fotox is a program for improving digital photos. Navigate through large image
directories using a window of thumbnail images. Create HDR (high dynamic
range) images by combining bright and dark images to improve details visible
in both bright and dark areas. Create panorama (extra wide) images by joining
overlapped images. Adjust brightness and color intensity independently for
different underlying brightness levels. Reduce fog or haze by removing
"whiteness" and intensifying colors. Rotate an image (level a tilted image or
turn 90 degrees). Remove the red-eye effect from electronic flash photos.
Resize or crop an image.

%prep
%setup -n fotoxx

%build
# build with docs (in fact, gui help) in program data directory
%__subst 's|share/doc|share|' Makefile
# verbose and with our optimization
%__subst 's/@g++/g++/g; s/-O /%optflags /' Makefile
# as-needed linking
%__subst 's/g++ $(LFLAGS) -o $(PROGRAM) $(PROGRAM).o zfuncs.o/g++ -o $(PROGRAM) $(PROGRAM).o zfuncs.o $(LFLAGS)/' Makefile
%make_build PREFIX=/usr

%install
%make_install install DESTDIR=%buildroot PREFIX=/usr
install -pD -m644 %SOURCE1 %buildroot%_desktopdir/fotoxx.desktop
install -pD -m644 data/icons/fotoxx.png %buildroot%_pixmapsdir/fotoxx.png

%files
%_bindir/*
%_desktopdir/*
%_pixmapsdir/*
%_datadir/fotoxx

%changelog
* Wed Nov 26 2008 Victor Forsyuk <force@altlinux.org> 5.6.1-alt1
- 5.6.1

* Wed Oct 08 2008 Victor Forsyuk <force@altlinux.org> 5.3.1-alt1
- 5.3.1

* Tue Sep 23 2008 Victor Forsyuk <force@altlinux.org> 5.3-alt1
- 5.3

* Mon Sep 15 2008 Victor Forsyuk <force@altlinux.org> 5.2.4-alt1
- 5.2.4

* Wed May 21 2008 Victor Forsyuk <force@altlinux.org> 42-alt1
- Version 42.

* Thu Mar 27 2008 Victor Forsyuk <force@altlinux.org> 37-alt1
- Version 37.

* Tue Mar 04 2008 Victor Forsyuk <force@altlinux.org> 36-alt1
- Version 36.

* Wed Dec 12 2007 Victor Forsyuk <force@altlinux.org> 33-alt1
- Initial build.
